INTERFACE
SUBROUTINE PPAK(KPROMA,KSTART,KPROF,KFLEV,KLEVP,KLOLEV,KLEV_AK,KLEVB,&
 & PRES,PLNPRES,LDBELS,LDBLES,PWEIGHT,&
 & PRXP,PRXPD,PGRGF,&
 & PGRGPP) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPPM
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KLEVP
INTEGER(KIND=JPIM),INTENT(IN) :: KLOLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV_AK
INTEGER(KIND=JPIM),INTENT(IN) :: KLEVB(KPROMA,KLEV_AK,NPPM,KLEVP)
REAL(KIND=JPRB) ,INTENT(IN) :: PRES(KPROMA,KLEVP,KLEV_AK)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPRES(KPROMA,KLEV_AK,KLEVP)
LOGICAL ,INTENT(IN) :: LDBELS(KPROMA,KLEV_AK,KLEVP)
LOGICAL ,INTENT(IN) :: LDBLES(KLEV_AK,KLEVP)
REAL(KIND=JPRB) ,INTENT(IN) :: PWEIGHT(KPROMA,KLEVP,KLEV_AK)
REAL(KIND=JPRB) ,INTENT(IN) :: PRXP(KPROMA,0:KFLEV,NPPM)
REAL(KIND=JPRB) ,INTENT(IN) :: PRXPD(KPROMA,0:KFLEV,NPPM)
REAL(KIND=JPRB) ,INTENT(IN) :: PGRGF(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGRGPP(KPROMA,KLEVP)
END SUBROUTINE PPAK
END INTERFACE
